Subject: Re: bug#67691: 29.1.50; Virtual buffers in fido-mode

From: João Távora <[email-masked]>
Date: Fri, 8 Dec 2023 11:27:14 +0000

On Thu, Dec 7, 2023 at 3:21 PM bcclaro <[email-masked]> wrote:
>
> > I've switched from ido to fido and I'm missing the feature of being
> > able to open recently closed buffers that ido-mode provided with
> > ido-use-virtual-buffers.
>
> From https://emacs.stackexchange.com/questions/72619/see-virtual-recent-buffers-when-switching-with-fido.

This almost surely isn't supported in fido, and I don't
understand fully what the feature does.  I could give
ido a shot, but would likely get lost in its options so
it's better if you could explain what it does, if possible
without concepts such as "virtual buffer", so that more
people in this list can follow along.  Is a "closed buffer"
a "killed buffer"?

Keep in mind fido is a relatively poor emulation of ido
(hence "fake ido").  It's more of a middle-of-the-road
between ido and Emacs's vanilla completion.  Fairly close
to ido in what regards typing patterns and filtering
candidates, much closer to vanilla when it comes to the
actions taken on candidates.

> Also somewhat relevant, from the same question:
>
> > Is there a way to get recentf entries to be appended after the open
> > buffers when I call switch-to-buffer using fido-vertical-mode?
>
> I'm not the OP but I was in need of much the same functionality.

Maybe this feature (and also the preceding one, I guess) could be
argued for in terms of changes to Emacs's completion frontend
so that it is available to fido, icomplete, vanilla completion,
and maybe more.  But I don't understand exactly what the
feature does (though here it seems simpler than in the previous
one).

João